Get Global Datasources

get

/datasources

Returns a list of global-level Datasources, including details such as name, description, connection, and type.

Request

Query Parameters
  • Maximum number of Datasources to return. Default is 50.

  • Number of Datasources to omit from the start of the result set.

Back to Top

Response

200 Response

OK

List of Datasources returned successfully.

400 Response

Bad Request

Failed to get Datasources.

Back to Top

Examples

The following example shows how to get a list of global Datasources defined on the Essbase server.

This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.

Script with cURL Command

call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/datasources?links=none" -H Accept:application/json -u %User%:%Password%

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
  "items" : [ {
    "name" : "delimitedfile_DS",
    "description" : "Datasource to text file using custom delimiter",
    "connection" : "delimitedfile_conn",
    "type" : "DELIMITEDFILE",
    "queryParameters" : [ ],
    "links" : [ ]
  }, {
    "name" : "excelDS",
    "description" : "Datasource to Excel file",
    "connection" : "excel_conn",
    "type" : "EXCELFILE",
    "queryParameters" : [ ],
    "links" : [ ]
  }, {
    "name" : "Orcl_DS",
    "description" : "Datasource to Oracle Database",
    "connection" : "oraConn",
    "type" : "DB",
    "queryParameters" : [ ],
    "links" : [ ]
  }, {
    "name" : "EssbaseDS",
    "description" : "Datasource to Essbase 2",
    "connection" : "essconn",
    "type" : "ESSBASE",
    "queryParameters" : [ ],
    "links" : [ ]
  } ],
  "offset" : 0,
  "limit" : 50,
  "count" :  4,
  "totalResults" :  4,
  "hasMore" : false
}
Back to Top